Skip to main content
`Ctrl`+`K`

# DMCompositeGetLocalAccessArray

Allows one to access the individual packed vectors in their local representation.

## Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode DMCompositeGetLocalAccessArray(DM dm, Vec pvec, PetscInt nwanted, const PetscInt wanted[], Vec vecs[])

Collective

## Input Parameters

- dm - the `DMCOMPOSITE`

- pvec - packed vector

- nwanted - number of vectors wanted

- wanted - sorted array of vectors wanted, or `NULL` to get all vectors, length `nwanted`

## Output Parameter

- vecs - array of requested local vectors (must be allocated and of length `nwanted`)

## Note

Use `DMCompositeRestoreLocalAccessArray()` to return the vectors when you no longer need them.

## See Also

`DMCOMPOSITE`, `DM`, `DMCompositeRestoreLocalAccessArray()`, `DMCompositeGetAccess()`, `DMCompositeGetEntries()`, `DMCompositeScatter()`, `DMCompositeGather()`

## Level

advanced

## Location

src/dm/impls/composite/pack.c

Index of all DMComposite routines
Table of Contents for all manual pages
Index of all manual pages